<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

load_language('plugin.lang', SQUARE_THUMB_PATH);

// Add handler for square resize
if (isset($_POST['square']))
{
  include(SQUARE_THUMB_PATH.'functions.inc.php');
}

// Add prefilter
$template->set_prefilter('thumbnail', 'add_square_option');

function add_square_option($content, $smarty)
{
  $search = '<li>
        <span class="property">
          <label for="width">{\'maximum width\'|@translate}</label>';

  $replacement = '
{html_head}
{literal}
<script type="text/javascript">
jQuery().ready(function(){
  jQuery(":text").keyup(function(){
    if(jQuery("#square").attr("checked")){
      if (this.id == "width"){
        jQuery("#height").attr("value", this.value);
      }else{
        jQuery("#width").attr("value", this.value);
      }
    }
  });
  jQuery("#square").click(function(){
    if (this.checked)
      jQuery("#height").attr("value", jQuery("#width").attr("value"));
  });
});
</script>
{/literal}
{/html_head}

      <li>
        <span class="property"><label for="square">{\'Square Thumbnails\'|@translate}</label></span>
	     <label><input type="checkbox" name="square" id="square" {if $params.SQUARE}checked="checked"{/if}></label>
      </li>

      <li>
        <span class="property">
          <label for="width">{\'maximum width\'|@translate}</label>';

  return str_replace($search, $replacement, $content);
}

?>